function calculate_beta_maps(PPI_X, funcscans, savename)

H = spm_vol(funcscans{1});
betaMap = spm_read_vols(H);
betaMap(:) = 0;

D = {};
Y = zeros(length(betaMap(:)), length(funcscans));
for iScan = 1:length(funcscans),
    H = spm_vol(funcscans{iScan});
    thisD = spm_read_vols(H);
    D{iScan} = thisD;
    Y(:, iScan) = thisD(:);
end;

B = inv(PPI_X' * PPI_X) * PPI_X' * (Y');
betaMap(:) = B(1, :);

H.fname = savename;
H.dt = [16 0];
spm_write_vol(H, betaMap);
