function PPI_X = do_PPI_subject(savename, onsetsmat, TR, funcscans, mask0, movementRegr, contrCoeff)

% Example code for input tests:
% x = dir('swra*.nii'); funcscans = {}; for n = 1:length(x), funcscans{n} = ['Z:\DataLieke\PPIScriptData\xm13101101_3_1\' x(n).name]; end;
% onsetsmat = 'Z:\DataLieke\PPIScriptData\onsets_011.mat';
% mask0 = 'Z:\DataLieke\PPIScriptData\rAmygdala_L.nii';
% movementRegr = 'Z:\DataLieke\PPIScriptData\rp_xm13101101_3_1-0001.txt';

nScans = length(funcscans);
load(onsetsmat); % Gives names and durations

X = generate_design(onsets, durations, TR, nScans);

if ~isempty(movementRegr),
    MR = dlmread(movementRegr);
    X = [X MR];
end;

timecourse = get_timecourse(funcscans, mask0);

% Neu Pos Neg Err
contrVec = X(:, 1:length(contrCoeff)) * contrCoeff(:);
ppi_regr = timecourse .* contrVec;
PPI_X = [ppi_regr timecourse X];

calculate_beta_maps(PPI_X, funcscans, savename);
