function X = generate_design(onsets, durations, TR, nScans)

% function X = generate_design(onsets, durations, TR, nScans)

timeTotal = nScans * TR;
sampleInt = 0.1;
nSamples = timeTotal / sampleInt;
[hrf, p] = spm_hrf(sampleInt);
X = [];
for iPred = 1:length(onsets),
    vec = zeros(nSamples, 1);
    iSamples = max(1, ceil(onsets{iPred} / sampleInt));

    if durations{iPred}(1) == 0,
        vec(iSamples) = 1;
    else,
        durSa = ceil(durations{iPred} / sampleInt);
        for iiSample = 1:length(iSamples),
            if length(durSa) == 1,
                w = durSa(1);
            else,
                w = durSa(iiSample);
            end;
            for sa = 0:w,
                a = iSamples(iiSample) + sa;
                vec(a) = 1 ./ w;
            end;
        end;
    end;
    
    vec = conv(vec, hrf);
    vec = vec(1:nSamples);
    vec = zscore(vec);
    X = [X vec];
end;
indices = floor(linspace(1, nSamples, nScans));
X = X(indices, :);

% Extra predictors
% Intercept
X = [X ones(size(X, 1), 1)];
% High-pass
T0 = timeTotal * 2;
f0 = 1 / T0;
while f0 < (1 / 128),
    t = ((1:size(X, 1)) - 1) * TR;
    t = t(:);
    cos0 = cos(2 * pi * f0 * t);
    X = [X cos0];
    f0 = f0 * 2;
end;
