function timecourse = get_timecourse(funcscans, mask0)

H = spm_vol(mask0);
Mask = spm_read_vols(H);
fMask = find(Mask == 1);

A = [];
for iScan = 1:length(funcscans),
    H = spm_vol(funcscans{iScan});
    D = spm_read_vols(H);
    regionValues = D(fMask);
    A = [A; regionValues(:)'];
end;

m = mean(A, 2);
m = m - mean(m);

A = A - (ones(size(A, 1), 1) * mean(A));
[O2L, Lambda] = eig(cov(A));
F = A * O2L;
l = F(:, end);

timecourse = l;
