function sim_data_PPI

T = 6 * 60;
TR = 1.5;
nScans = floor(T / TR);
dO = ceil(TR * 30);
onsets{1} = dO:dO:nScans;
dO2 = ceil(TR * 43);
onsets{2} = dO2:dO2:nScans;
names = {'C1', 'C2'};
durations = {0, 0};

save('simscans/onsets.mat', 'onsets', 'names', 'durations');

Fs = 100;
t = (1/Fs):(1/Fs):T; t= t(:);
hrf = spm_hrf((1/Fs), [6, 16, 1, 1, 6, 0, 32], 16);
for iCond = 1:2,
    sticks0 = zeros(size(t));
    ft = ceil(onsets{iCond} * Fs / (1 / TR));
    sticks0(ft) = 1;
    pred0 = conv(sticks0, hrf);
    pred0 = pred0(1:length(t));
    pred0 = pred0 ./ max(pred0);
    step0 = TR / (1/Fs);
    scanT = 1:step0:length(t);
    pred0_TR{iCond} = pred0(scanT);
end;

common_rand = 100 * randn(nScans, 1);
seed1 = 1 * randn(nScans, 1) + common_rand;
target1 = 1 * randn(nScans, 1) + pred0_TR{1} .* common_rand - pred0_TR{2} .* common_rand;

H = spm_vol('rCML.nii');
[Mask, XYZ] = spm_read_vols(H);
fMask = find(Mask > 0.5);
H = spm_vol('rOcc.nii');
[Target, XYZ] = spm_read_vols(H);
fTarget = find(Target > 0.5);

for iScan = 1:nScans,
    if mod(iScan, 20) == 0,
        fprintf([num2str(iScan) '\n']);
    end;
    Vol = 100 + 10 * randn(size(Mask));
    Vol(fMask) = 100 + seed1(iScan);
    Vol(fTarget) = 100 + target1(iScan);
    H.fname = ['simscans/sim' num2str(iScan) '.nii'];
    spm_write_vol(H, Vol);
end;
